Skip to main content
POST
/
v1
/
programs
Create a program
curl --request POST \
  --url https://sandbox.apocor.ai/v1/programs \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "org_id": "org_demo",
  "name": "USD Debit",
  "product_type": "DEBIT",
  "currency": "USD"
}
'
import requests

url = "https://sandbox.apocor.ai/v1/programs"

payload = {
"org_id": "org_demo",
"name": "USD Debit",
"product_type": "DEBIT",
"currency": "USD"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({org_id: 'org_demo', name: 'USD Debit', product_type: 'DEBIT', currency: 'USD'})
};

fetch('https://sandbox.apocor.ai/v1/programs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "prog_new123",
    "name": "USD Debit",
    "product_type": "DEBIT",
    "currency": "USD"
  }
}

Authorizations

Authorization
string
header
required

Bearer access token obtained from POST /v1/oauth/token using your Apocor API key.

Body

application/json
name
string
required
product_type
enum<string>
default:DEBIT
Available options:
DEBIT,
PREPAID,
CREDIT
currency
string
default:USD
organization_id
string

Response

201 - application/json

Program created.

data
object